package dev.micle.xptools;

import com.mojang.logging.LogUtils;
import dev.micle.xptools.proxy.IProxy;
import dev.micle.xptools.proxy.Proxy;
import net.minecraftforge.fml.DistExecutor;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext;
import org.slf4j.Logger;

@Mod(XpTools.MOD_ID)
public class XpTools {
    public static final String MOD_ID = "xp_tools";
    public static final Logger LOGGER = LogUtils.getLogger();
    private static FMLJavaModLoadingContext fmlJavaModLoadingContext;
    private static IProxy proxy;

    public XpTools(FMLJavaModLoadingContext context) {
        fmlJavaModLoadingContext = context;

        proxy = DistExecutor.safeRunForDist(
                () -> Proxy.Client::new,
                () -> Proxy.Server::new
        );
    }

    public static FMLJavaModLoadingContext getFMLJavaModLoadingContext() {
        return fmlJavaModLoadingContext;
    }
}
